<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

//процент комиссии, в числовом виде (например, "5")
var yamoneyPercent = ${dataMap['paymentSumPercent']};
 
function onKeyUpPaymentSum( sum )
{
	// проверка на то, что див вообще существует и надо куда-либо что-либо писать
	var div_sumtotal = $('div_sumtotal');
	if ( div_sumtotal != null )
	{
		div_sumtotal.innerHTML = sum.value * (100-yamoneyPercent) / 100;
		if( div_sumtotal.innerHTML == "" ) div_sumtotal.innerHTML = "0";
		if( div_sumtotal.innerHTML == "NaN" ) div_sumtotal.innerHTML = "?";
	}
};

</script>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="yamoney" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис ЮKassa</c:set>
		<c:set var="paymentPaySumBefore" scope="request"><c:choose>
			<c:when test="${not empty dataMap['paymentTypes']}"><div style="margin: 15px;"><select name="paymentType"><c:forEach var="item" items="${dataMap['paymentTypes']}"><option value="${item[0]}">${item[1]}</option></c:forEach></select></div></c:when>
			<c:otherwise><div style="margin: 15px;">Оплата с кошелька ЮKassa</div></c:otherwise>
		</c:choose></c:set>
		<c:set var="paymentPayNoteMessage" scope="request"><c:choose>
		<c:when test="${dataMap['paymentSumAmount'] eq 'shop'}"><div>Внимание! На счёт будет зачислена не вся сумма,<br/>а введённая сумма за вычетом комиссии ЮKassa.<br/> Комиссия в данный момент составляет ${dataMap['paymentSumPercent']}%.<br/> Сумма к зачислению: <span id="div_sumtotal">0</span> рублей.</div></c:when>
		<c:when test="${dataMap['paymentSumAmount'] eq 'order'}"><div>На счёт будет зачислена вся введённая сумма, комиссия ЮKassa не взимается.</div></c:when>
		</c:choose></c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
		<jsp:include page="../include/payment_auto.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="yamoneyListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="operation" value="transactions">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['period'].monthFrom}">
		<input type="hidden" name="year" value="${dataMap['period'].yearFrom}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth1024">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="yamoneyListForm" targetId="transactionTable" pageId="yamoneyPage" doSubmitOnLoad="true" month="${dataMap['period'].monthFrom}" year="${dataMap['period'].yearFrom}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" id="yamoneyPage" formId="yamoneyListForm" targetId="transactionTable" recordCount="0" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	</table>

	<div id="transactionTable" style="margin-bottom: 20px;"></div>
</div>